package com.kingdee.eas.custom.handover;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.handover.app.*;

public class WorkHandover extends HRBillBase implements IWorkHandover
{
    public WorkHandover()
    {
        super();
        registerInterface(IWorkHandover.class, this);
    }
    public WorkHandover(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHandover.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("47B1EE94");
    }
    private WorkHandoverController getController() throws BOSException
    {
        return (WorkHandoverController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkHandoverCollection getWorkHandoverCollection() throws BOSException
    {
        try {
            return getController().getWorkHandoverCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkHandoverCollection getWorkHandoverCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkHandoverCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkHandoverCollection getWorkHandoverCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkHandoverCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkHandoverInfo getWorkHandoverInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHandoverInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkHandoverInfo getWorkHandoverInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHandoverInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkHandoverInfo getWorkHandoverInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHandoverInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}